const apiProxy = {
    'api': {
        local: 'http://192.168.174.70:8080/',
        // local: 'http://8.140.240.182:18085/',
        // local: 'http://h386t1c.nat.ipyingshe.com/seat-java/',
        116: 'http://74.10.28.24:9999/',
        117: 'http://74.10.28.117:9999/',
        118: 'http://74.10.28.18:9999/',
    },	// 席位接口代理
    'img-api': 'http://74.10.28.118:8090/',	// 服务器静态图片代理
    'EzServer6-api': 'http://74.10.28.116:8090/',	// 地图底图代理
    'geoserver-api': 'http://74.10.28.39:8080/',	// 地图服务代理
    'history-track-ws-api': {
        local:'http://74.10.28.103:8010/',
        116: 'http://74.10.28.24:9999/',
        117: 'http://74.10.28.117:9999/',
        118: 'http://74.10.28.18:9999/',
    },	//	历史轨迹代理
    'rh-ws-api': {
        local:'http://74.10.28.103:8010/',
        116: 'http://74.10.28.28:6990/',
        117: 'http://74.10.28.38:8015/',
        118: 'http://74.10.28.38:8014/',
    },	// 融合实时船舶ws代理
    'bd-ws-api': 'http://74.10.28.38:6991/',	// 北斗实时船舶ws代理
    'ais-ws-api': 'http://74.10.28.28:6992/', //全球ais
    'xmb-ws-api': 'http://74.10.28.38:6996/',	// 小目标雷达实时船舶ws代理
    'hlx-ws-api': 'http://74.10.28.28:7000/',	// 海兰信守望者实时船舶ws代理
    'hlx-radar-ws-api': 'http://74.10.28.28:7004/',	// 海兰信原始雷达实时船舶ws代理
    'zyh-ws-api': 'http://74.10.28.28:6995/',	// 中远海实时船舶ws代理
    'dc-ws-api': {
        local:'http://74.10.28.103:8010/',
        116: 'http://74.10.28.24:9999/',
        117: 'http://74.10.28.117:9999/',
        118: 'http://74.10.28.18:9999/',
    },	// 历史回放单船ws代理
    'kx-ws-api': {
        local:'http://74.10.28.103:8010/',
        116: 'http://74.10.28.103:8010/',
        117: 'http://74.10.28.103:8012/',
        118: 'http://74.10.28.103:8011/',
    },	// 历史回放框选ws代理
    'rh-find-ship-api': {
        local:'http://74.10.28.103:8010/',
        116: 'http://74.10.28.28:9000/',
        117: 'http://74.10.28.38:9015/',
        118: 'http://74.10.28.38:9014/',
    },	// 融合找船代理
    'warning-ws-api': {
        local:'http://74.10.28.103:8010/',
        116: 'http://74.10.28.24:6999/',
        117: 'http://74.10.28.117:6999/',
        118: 'http://74.10.28.18:6999/',
    },	//	预警推送ws代理
    'info-center-ws-api': {
        local:'http://74.10.28.103:8010/',
        116: 'http://74.10.28.24:5999/',
        117: 'http://74.10.28.117:5999/',
        118: 'http://74.10.28.18:5999/',
    },	//	消息中心ws代理
    'police-man-ws-api': 'http://74.10.28.38:7003/',	//	执法记录仪ws代理
    'speed-analysis-api': 'http://74.10.28.103:8090/',	//	轨迹列表航速分析导出
    'jwt-ws-api': 'http://74.10.28.38:7002/',	//	警务通实时ws代理
    'pdt-ws-api': 'http://74.10.28.38:7001/',	//	PDT实时ws代理
    'police-car-ws-api': 'http://74.10.28.38:6999/',	//	警车实时ws代理
    'police-boat-ws-api': 'http://74.10.28.38:6997/',	//	巡逻艇实时ws代理
}

export const getApiProxy = (key, version = null) => {
    return version ? (apiProxy[key][version] ? apiProxy[key][version] : apiProxy[key]) : apiProxy[key]
}
