window.cusConfig = {
  portalPort: 8088, //  门户端口
  version: 116,
  handleClose: true,  //  万福-光电联动
  hlxUrlArr: [  //  万福-光电联动-海兰信配置代理
    {key: '74.10.30.38',value: '/hlx-firstly'},
    {key: '74.10.30.39',value: '/hlx-thirdly'},
    {key: '74.10.28.119',value: '/hlx-second'}
  ],
  sectorDistance:{
   Line:1.6,  //辅佐线
   radiusRadii:1.5, //半径
   centerLine:1.8 //中心线
  },
  trackEndTimeOffset: 30000, //单位(ms)，首页点船查询历史轨迹延时
  trackInterval: 4, //单位(h)，首页点船查询历史轨迹，ws返回数据时间段(12即为每查询12小时ws返回一批数据)
  trackHistory: 4, //单位(h)，首页点船查询历史轨迹，默认查询时间范围
  maxZoomAutoOpenTrack: true,
  116: {
    gdld: 'fk', //  光电联动方案 ['fk', 'hlx']
    rhWebSocketType: 'fk', // 首页融合历史轨迹参数，['fk', hlx] 后期确定了用哪一版后可删
    rhSpeedExportType: 'FUSION', // 首页轨迹列表航速分析导出融合类型区分 116：FUSION  117：FUSION_117  118：FUSION_118
    geoserver: {
      countShip: true, // 使用geoserver统计：ture，不使用：false
      rhLayers: 'redis:geo_fusion_ship',  // 融合瓦片图层： 118：redis:geo_fk_ship  117：redis:geo_fk_ship_117  116：redis:geo_fusion_ship
      rhHotLayers: 'redis:geo_fusion_ship_hot', // 融合热力瓦片图层：118：redis:geo_fk_hot   117：redis:geo_fk_hot_117  116：redis:geo_fusion_ship_hot
      shipWarningFilterLayers: 'MySQL:warning_ship_record_116',   // 船舶预警筛选瓦片图层：118：MySQL:warning_ship_record   117：MySQL:warning_ship_record_117  116：MySQL:warning_ship_record_116
      personWarningHotLayers: 'MySQL:index_seat_warning_person_track_116',   // 人员预警热力瓦片图层：118：MySQL:index_seat_warning_person_track  117:MySQL:index_seat_warning_person_track_117  116:MySQL:index_seat_warning_person_track_116
      carWarningHotLayers: 'MySQL:index_seat_warning_car_track_116',   // 车辆预警热力瓦片图层：118：MySQL:index_seat_warning_car_track   117:MySQL:index_seat_warning_car_track_117  116:MySQL:index_seat_warning_car_track_116
      shipWarningHotLayers: 'MySQL:index_seat_warning_ship_track_116',   // 船舶预警热力瓦片图层：118：MySQL:index_seat_warning_ship_track  117:MySQL:index_seat_warning_ship_track_117   116:MySQL:index_seat_warning_ship_track_116
    },
  },
  117: {
    gdld: 'fk', //  光电联动方案 ['fk', 'hlx']
    rhWebSocketType: 'fk', // 首页融合历史轨迹参数，['fk', hlx] 后期确定了用哪一版后可删
    rhSpeedExportType: 'FUSION_117', // 首页轨迹列表航速分析导出融合类型区分 116：FUSION  117：FUSION_117  118：FUSION_118
    geoserver: {
      countShip: true, // 使用geoserver统计：ture，不使用：false
      rhLayers: 'redis:geo_fk_ship_117',  // 融合瓦片图层： 118：redis:geo_fk_ship  117：redis:geo_fk_ship_117  116：redis:geo_fusion_ship
      rhHotLayers: 'redis:geo_fk_hot_117', // 融合热力瓦片图层：118：redis:geo_fk_hot   117：redis:geo_fk_hot_117  116：redis:geo_fusion_ship_hot
      shipWarningFilterLayers: 'MySQL:warning_ship_record_117',   // 船舶预警筛选瓦片图层：118：MySQL:warning_ship_record   117：MySQL:warning_ship_record_117  116：MySQL:warning_ship_record_116
      personWarningHotLayers: 'MySQL:index_seat_warning_person_track_117',   // 人员预警热力瓦片图层：118：MySQL:index_seat_warning_person_track  117:MySQL:index_seat_warning_person_track_117  116:MySQL:index_seat_warning_person_track_116
      carWarningHotLayers: 'MySQL:index_seat_warning_car_track_117',   // 车辆预警热力瓦片图层：118：MySQL:index_seat_warning_car_track   117:MySQL:index_seat_warning_car_track_117  116:MySQL:index_seat_warning_car_track_116
      shipWarningHotLayers: 'MySQL:index_seat_warning_ship_track_117',   // 船舶预警热力瓦片图层：118：MySQL:index_seat_warning_ship_track  117:MySQL:index_seat_warning_ship_track_117   116:MySQL:index_seat_warning_ship_track_116
    },
  },
  118: {
    gdld: 'fk', //  光电联动方案 ['fk', 'hlx']
    rhWebSocketType: 'fk', // 首页融合历史轨迹参数，['fk', hlx] 后期确定了用哪一版后可删
    rhSpeedExportType: 'FUSION_118', // 首页轨迹列表航速分析导出融合类型区分 116：FUSION  117：FUSION_117  118：FUSION_118
    geoserver: {
      countShip: true, // 使用geoserver统计：ture，不使用：false
      rhLayers: 'redis:geo_fk_ship',  // 融合瓦片图层： 118：redis:geo_fk_ship  117：redis:geo_fk_ship_117  116：redis:geo_fusion_ship
      rhHotLayers: 'redis:geo_fk_hot', // 融合热力瓦片图层：118：redis:geo_fk_hot   117：redis:geo_fk_hot_117  116：redis:geo_fusion_ship_hot
      shipWarningFilterLayers: 'MySQL:warning_ship_record',   // 船舶预警筛选瓦片图层：118：MySQL:warning_ship_record   117：MySQL:warning_ship_record_117  116：MySQL:warning_ship_record_116
      personWarningHotLayers: 'MySQL:index_seat_warning_person_track',   // 人员预警热力瓦片图层：118：MySQL:index_seat_warning_person_track  117:MySQL:index_seat_warning_person_track_117  116:MySQL:index_seat_warning_person_track_116
      carWarningHotLayers: 'MySQL:index_seat_warning_car_track',   // 车辆预警热力瓦片图层：118：MySQL:index_seat_warning_car_track   117:MySQL:index_seat_warning_car_track_117  116:MySQL:index_seat_warning_car_track_116
      shipWarningHotLayers: 'MySQL:index_seat_warning_ship_track',   // 船舶预警热力瓦片图层：118：MySQL:index_seat_warning_ship_track  117:MySQL:index_seat_warning_ship_track_117   116:MySQL:index_seat_warning_ship_track_116
    },
  },
  nginxApiMapper: new Map([
    ['74.6.57.208:30030', '/kt-api'], // 科通代理
    ['74.10.28.62:81', '/s3-api'], // 太极s3代理
    ['74.10.28.97:443', '/hk-api'], // 海康代理
  ])
}
