import { App } from 'vue'
import * as api from '@/api/index'
import * as util from '@/utils/util'
import * as easyMap from '@/utils/easyMap'
import * as permissions from '@/utils/permissions'

export default async (app: App) => {
    app.config.globalProperties.$api = await api.default
    app.config.globalProperties.$util = util
    app.config.globalProperties.$easyMap = easyMap
    app.config.globalProperties.$permissions = permissions
}
