const routerMap = new Map([
  ['f791211f-a318-49a3-9bf4-31148fe15486', {
    title: '列表-普通',
    component: () => import('@/views/demo/list/index.vue'),
  }],
  ['370980d3-fa42-4354-8d55-ad2190794576', {
    title: '列表-插槽',
    component: () => import('@/views/demo/list/slot.vue'),
  }],
  ['6fa55e50-d902-4229-96b6-f73aaed7fdef', {
    title: 'vuex',
    component: () => import('@/views/demo/vue/vuex/index.vue'),
  }],
  ['7a87de2c-3748-459e-9ee0-d9652b998c86', {
    title: '自定义指令',
    component: () => import('@/views/demo/vue/directive/index.vue'),
  }],
  ['e0b96113-b6be-4a86-8649-6ce8dc3c91af', {
    title: '父子组件传值',
    component: () => import('@/views/demo/vue/props/index.vue'),
  }],
  ['dd446cda-bd5b-4763-a5e0-21d402084d0d', {
    title: '跨页面监听',
    component: () => import('@/views/demo/vue/other/index.vue'),
  }],
  ['a013765d-8554-4025-be4d-3bae13873523', {
    title: '校验',
    component: () => import('@/views/demo/form/validate.vue'),
  }],
  ['fe1dbbfe-2b57-4cf6-bf40-deaadd337542', {
    title: '表单整体禁用',
    component: () => import('@/views/demo/form/form-disabled.vue'),
  }],
  ['276aedd0-7088-4717-ba1f-a100470a0810', {
    title: '文本',
    component: () => import('@/views/demo/form/input.vue'),
  }],
  ['c271cad8-e95a-4f92-acd6-4deebd54e0ed', {
    title: '纯数字',
    component: () => import('@/views/demo/form/number.vue'),
  }],
  ['6a56f662-760a-49f0-b37f-cf21ef647801', {
    title: '下拉选项',
    component: () => import('@/views/demo/form/select.vue'),
  }],
  ['e298b055-b790-4749-bab0-bce07675a405', {
    title: '日期',
    component: () => import('@/views/demo/form/date.vue'),
  }],
  ['47b3551f-1180-4907-a941-60dabd75d5ad', {
    title: '日期时间',
    component: () => import('@/views/demo/form/datetime.vue'),
  }],
  ['c086a656-ae1d-4e80-acae-2db8ccfd27f4', {
    title: '级联',
    component: () => import('@/views/demo/form/cascader.vue'),
  }],
  ['9f199384-90af-44e7-a2ae-197f7934c6d9', {
    title: '开关',
    component: () => import('@/views/demo/form/switch.vue'),
  }],
  ['f12c1ce2-5a47-4b7a-9e8f-68995107db1c', {
    title: '单选',
    component: () => import('@/views/demo/form/radio.vue'),
  }],
  ['228f885d-9008-4d33-bacd-3c74ec10802e', {
    title: '多选',
    component: () => import('@/views/demo/form/checkbox.vue'),
  }],
  ['d10a1da0-6e09-4da3-a865-00c09ba3531d', {
    title: '特殊预设',
    component: () => import('@/views/demo/form/special.vue'),
  }],
  ['05462233-931a-4c26-834b-05615c532ee8', {
    title: '上传',
    component: () => import('@/views/demo/form/upload.vue'),
  }],
  ['503a0f03-00cf-4441-9f33-540c1cf36dd1', {
    title: '海康视频插件',
    component: () => import('@/views/demo/hk/index.vue'),
  }],
  ['20cd9b7e-543e-4c43-9086-34bf0b7db4a5', {
    title: '弹窗',
    component: () => import('@/views/demo/dialog/index.vue'),
  }],
  ['1346f159-cf73-42ab-ac47-442dfd6c1f16', {
    title: '基本',
    component: () => import('@/views/demo/map/index.vue'),
  }],
  ['486b2db8-9910-43c3-9150-604e07ce7ca9', {
    title: 'gif',
    component: () => import('@/views/demo/map/gif.vue'),
  }],
])

export const mockRouter: any = {
  menuCode: '0e0cf907-2e94-464d-b465-9c1b7906462c',
  path: 'demo',
  meta: {
    title: '示例'
  },
  children: [
    {
      menuCode: 'c75ffaec-49e6-4b5c-a9e0-e5c2658632c5',
      path: 'list',
      meta: {
        title: '列表'
      },
      children: [
        {
          menuCode: 'f791211f-a318-49a3-9bf4-31148fe15486',
          path: 'normal',
          meta: {
            title: '普通'
          },
        },
        {
          menuCode: '370980d3-fa42-4354-8d55-ad2190794576',
          path: 'slot',
          meta: {
            title: '插槽'
          },
        },
      ]
    },
    {
      menuCode: '2c474b09-64b5-4c91-abb2-37af95dd04dd',
      path: 'vue',
      meta: {
        title: 'vue'
      },
      children: [
        {
          menuCode: '6fa55e50-d902-4229-96b6-f73aaed7fdef',
          path: 'vuex',
          meta: {
            title: 'vuex'
          },
        },
        {
          menuCode: '7a87de2c-3748-459e-9ee0-d9652b998c86',
          path: 'directive',
          meta: {
            title: '自定义指令'
          },
        },
        {
          menuCode: 'e0b96113-b6be-4a86-8649-6ce8dc3c91af',
          path: 'props',
          meta: {
            title: '父子组件传值'
          },
        },
        {
          menuCode: 'dd446cda-bd5b-4763-a5e0-21d402084d0d',
          path: 'other',
          meta: {
            title: '跨页面监听'
          },
        },
      ]
    },
    {
      menuCode: 'db68540b-0e6d-4fc2-8ed6-f58ded023cf2',
      path: 'form',
      meta: {
        title: '表单'
      },
      children: [
        {
          menuCode: 'a013765d-8554-4025-be4d-3bae13873523',
          path: 'validate',
          meta: {
            title: '校验'
          },
        },
        {
          menuCode: 'fe1dbbfe-2b57-4cf6-bf40-deaadd337542',
          path: 'form-view',
          meta: {
            title: '表单整体禁用'
          },
        },
        {
          menuCode: '276aedd0-7088-4717-ba1f-a100470a0810',
          path: 'input',
          meta: {
            title: '文本'
          },
        },
        {
          menuCode: 'c271cad8-e95a-4f92-acd6-4deebd54e0ed',
          path: 'number',
          meta: {
            title: '纯数字'
          },
        },
        {
          menuCode: '6a56f662-760a-49f0-b37f-cf21ef647801',
          path: 'select',
          meta: {
            title: '下拉选项'
          },
        },
        {
          menuCode: 'e298b055-b790-4749-bab0-bce07675a405',
          path: 'date',
          meta: {
            title: '日期'
          },
        },
        {
          menuCode: '47b3551f-1180-4907-a941-60dabd75d5ad',
          path: 'datetime',
          meta: {
            title: '日期时间'
          },
        },
        {
          menuCode: 'c086a656-ae1d-4e80-acae-2db8ccfd27f4',
          path: 'cascader',
          meta: {
            title: '级联'
          },
        },
        {
          menuCode: '9f199384-90af-44e7-a2ae-197f7934c6d9',
          path: 'switch',
          meta: {
            title: '开关'
          },
        },
        {
          menuCode: 'f12c1ce2-5a47-4b7a-9e8f-68995107db1c',
          path: 'radio',
          meta: {
            title: '单选'
          },
        },
        {
          menuCode: '228f885d-9008-4d33-bacd-3c74ec10802e',
          path: 'checkbox',
          meta: {
            title: '多选'
          },
        },
        {
          menuCode: 'd10a1da0-6e09-4da3-a865-00c09ba3531d',
          path: 'special',
          meta: {
            title: '特殊预设'
          },
        },
        {
          menuCode: '05462233-931a-4c26-834b-05615c532ee8',
          path: 'upload',
          meta: {
            title: '上传'
          },
        },
      ]
    },
    {
      menuCode: '503a0f03-00cf-4441-9f33-540c1cf36dd1',
      path: 'hk',
      meta: {
        title: '海康视频插件'
      }
    },
    {
      menuCode: '20cd9b7e-543e-4c43-9086-34bf0b7db4a5',
      path: 'dialog',
      meta: {
        title: '弹窗'
      }
    },
    {
      menuCode: 'eb87006e-86d0-4db4-bdd9-938b4ff89d90',
      path: 'map',
      meta: {
        title: '地图'
      },
      children: [
        {
          menuCode: '1346f159-cf73-42ab-ac47-442dfd6c1f16',
          path: 'index',
          meta: {
            title: '基本'
          }
        },
        {
          menuCode: '486b2db8-9910-43c3-9150-604e07ce7ca9',
          path: 'gif',
          meta: {
            title: 'gif'
          }
        }
      ]
    }
  ]
}

// @ts-ignore
export default routerMap
