const state = {
  //  手机号(mobile phone)中国(严谨), 根据工信部2019年最新公布的手机号段
  phoneCN: /^(?:(?:\+|00)86)?1(?:(?:3[\d])|(?:4[5-7|9])|(?:5[0-3|5-9])|(?:6[5-7])|(?:7[0-8])|(?:8[\d])|(?:9[1|8|9]))\d{8}$/,
  //  邮箱
  email: /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$/,
  //  密码级别低(0)：请输入8~16位密码
  password0: /^.{8,16}$/,
  //  密码级别中(1)：请输入8~16位密码，要求包含大小写字母、数字
  password1: /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d).{8,16}$/,
  //  密码级别高(2)：请输入8~16位密码，要求包含大小写字母、数字、特殊字符
  password2: /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[~!@#$%^&*()_+`\-={}[\]:;"'<>,.?/]).{8,16}$/
}

const getters = {
}

const mutations = {
}

const actions = {
}

export default {
  namespaced: true,
  state,
  getters,
  mutations,
  actions
}
